#### D.15.8.8 grtwists

Procedure from library `gradedModules.lib` (see gradedModules_lib).

Usage:
  grtwists(v), intvec v

Return:
  graded object representing S(v[1]) + ... + S(v[size(v)])

Purpose:
  compute presentation of S(v[1]) + ... + S(v[size(v)])

Example:

    LIB "gradedModules.lib";
    ring r=32003,(x,y,z),dp;
    grview( grtwists ( intvec(-4, 1, 6 )) );
    ==> Graded homomorphism: r(-4) + r(1) + r(6) <- 0, given by zero (3 x 0) matr\
       ix.
    grview( grtwists ( intvec(0:0) ) );
    ==> Graded homomorphism: 0 <- 0, given by zero (0^2) matrix.

User manual for Singular version 4.4.1, 2025, generated by texi2html.